
' Example 1: All the instructions you can use
' 
' step 1: connect the PC to Master-8
' Step 2: switch to paradigm #4 and Set all channels modes
' Step 3: switch to paradigm #5 and Set the time parameters of the channels
' Step 4: Example for all the other instructions
'------------------------------------

Option Explicit
'The following line, begins with '  ---  this is a comment.
'We need the first line, to force variables Declarations (Dim, const...)


'This is a sample for declaring variables.
Dim master9
Dim xtime

const  cmOff = 0
const  cmFree = 1
const  cmTrain = 2
const  cmTrig = 3
const  cmDC = 4
const  cmGate = 5
const  cmTwin = 6
const  csMonopolar= 0
const  csBipolar= 1
const  csRamp= 2

' -------------------

'step 1: Connect the PC to Master-8 first. Connect return true on success connection.

set master9=CreateObject ("AmpiLib.master9")
if not master9.Connect then 
  Msgbox "Can't connect to master9!"
  close
End If
'------------------------------------

'This is optional to enable checking what is sent and receive from master9
'master9.ShowMonitor

' Step 2: switch to paradigm #4 and Set all channels modes

Msgbox "switch to paradigm 4. Click here to continue"	'message box
master9.ChangeParadigm 4		'switch to paradigm #4
master9.Clearparadigm			'clear present paradigm (#4)
' -------------------


' The following lines are examples to set the operation mode of the different channels
master9.ChangeChannelMode 1,cmGate		'set chnnel 1 to the GATE mode
master9.ChangeChannelMode 2,cmFree		'set chnnel 2 to the FREE-RUN mode
master9.ChangeChannelMode 3,cmTrain		'set chnnel 3 to the TRAIN mode
master9.ChangeChannelMode 4,cmTrig		'set chnnel 4 to the TRIG mode
master9.ChangeChannelMode 5,cmDC		'set chnnel 5 to the DC mode
master9.ChangeChannelMode 6,cmFree		'set chnnel 6 to the FREE-RUN mode
master9.ChangeChannelMode 6,cmOff		'set chnnel 6 to the OFF mode
master9.ChangeChannelMode 7,cmTwin		'set chnnel 7 to the TWIN mode
master9.SetChannelShape 3,csBipolar		'set channel 3 to bipolar pulses
master9.SetChannelShape 4,csRamp		'set channel 4 to ramp output
master9.ChangeChannelMode 8,cmTrig		'set chnnel 8 to the TRIG mode
' -------------------


' Step 3: switch to paradigm #5 and Set the time parameters of the channels

Msgbox "switch to paradigm 5. Click here to continue."	'message box
master9.ChangeParadigm 5		'switch to paradigm #5
master9.Clearparadigm 			'clear present paradigm (#5)
' -------------------

' The following lines are examples to set the parameters of the different channels
master9.SetChannelN 8,900 			'N8=900
master9.SetChannelDuration 1,40e-6		'D1=40 usec - can be written in any format
master9.SetChannelInterval 1,0.001234		'I1=1.234 msec
master9.SetChannelDelay 1,0.01234		'L1=12.34 msec
master9.SetChannelDuration 2,0.01		'D2=10 msec
master9.SetChannelInterval 2,0.1		'I2=100 msec
xtime=2.1				'example for using variable time
master9.SetChannelDelay 2,xtime+0.4	'L2=2.1+0.4=2.5 sec
master9.SetChannelDuration 3,10			'D3=10 sec
master9.SetChannelInterval 3,100 		'I3=100 sec
master9.SetChannelDelay 3,1000 			'L3=1000 sec
master9.SetChannelInterval 4,3999 		'I4=3999 sec (1 hour+399 sec)
master9.SetChannelVoltage 4,-2.1		'V4=-2.1 Volt
master9.SetChannelDeltaV 3,-0.01		'DeltaV3=-0.01 Volt

' -------------------


' Step 4: Example for all the other instructions

Msgbox "switch to paradigm 6. Click here to continue."
master9.ChangeParadigm 4
master9.CopyParadigm 6
master9.ChangeParadigm 6

' -------------------


' The following lines are other very useful examples
master9.ConnectChannel 8,1	'connect channel 8 to channel 1
master9.ConnectChannel 8,2	'connect channel 8 to channel 2
master9.ConnectChannel 8,3	'connect channel 8 to channel 3
master9.DisConnectChannel 8,2	'disconnect connection from channel 8 to channel 1
master9.SetChannelDuration 8,5 
master9.ChangeChannelMode 1,cmGate	'set chnnel 1 to the GATE mode
master9.ChangeChannelMode 2,cmOff	'set chnnel 2 to the FREE-RUN mode
master9.ChangeChannelMode 3,cmTrain	'set chnnel 3 to the TRAIN mode
master9.SetChannelN 3,100			
MsgBox "Click to trigger channel 8"		
master9.Trigger 8				'trigger channel 8
' -------------------


' Disconnect the communication with Master-8
Msgbox "Done!"





