
' Example 3: Click to trigger channels, and to switch paradigms
'
' step 1: connect the PC to Master-9
' Step 2: set paradigm #3: Set all channels in TRAIN mode, with I=50 msec, and 20 pulses per train
' Step 3: set paradigm #4: Set all channels in TRAIN mode, with I=200 msec, and 9 pulses per train
' Step 4: Loop: Write: 13 - to switch to paradigm 3
' 		write: 14 - to switch to paradigm 4
' 		write the channel number that you want to trigger (1 to 9)
'		write 99 to exit
'------------------------------------


const  cmTrain = 2

'step 1: Connect the PC to Master-9 first. Connect return true on success connection.

set Master9=CreateObject ("AmpiLib.Master9")
if not Master9.Connect then 
  Msgbox "Can't connect to Master9!"
  close
End If
'------------------------------------

'Step 2:  First switch to paradigm 3, clear it, and set all parameters of all 9 channels

Master9.ChangeParadigm 3			'switch to paradigm #3
Master9.Clearparadigm				'clear present paradigm (#3)

' the following loop sets all 9 channels to the TRAIN mode
' with the parameters: Di=200 usec., Ii = 50 msec and Mi = 20 pulses per train.

for i=1 to 9					'loop 9 times, for all 9 channels
	Master9.SetChannelInterval i,50e-3	'Ii = 50 millisec.  
	Master9.SetChannelDuration i,200e-6	'Di = 200 microsec.
	Master9.SetChannelN i,20		'Ni = 20 pulses per train
	Master9.ChangeChannelMode i,cmTrain	'set channel i to the TRAIN mode
next
'------------------------------------


'Step 3: Now switch to paradigm 4 and copy paradigm 3 to paradigm 4 (it does not affect paradigm 3)

Master9.CopyParadigm 4			'copy paradigm 3 to paradigm 4
Master9.ChangeParadigm 4			'switch to paradigm #3

' the following loop sets the following modifications for paradim 4:
' Ii = 200 msec and Mi = 9 pulses per train.

for i=1 to 9					'loop 9 times, for all 9 channels
	Master9.SetChannelInterval i,400e-3	'Ii = 400 millisec.  
	Master9.SetChannelN i,9			'Ni = 9 pulses per train
next
'------------------------------------



'Step 4: Loop: Write what do you want to do (see the above options)


While S<>99
S= InputBox ("WRITE the channel number you want to trig [1-9]. '13'-switch to PAR 3,     '14' - switch to PAR 4.          WRITE '99' to exit")


	Select case S				
		Case 13
			Master9.ChangeParadigm 3	'switch to paradigm #3
		Case 14
			Master9.ChangeParadigm 4	'switch to paradigm #4
		Case 1,2,3,4,5,6,7,8,9
			Master9.Trigger s		'trigger channel s
		Case 99				
			MsgBox "EXIT, Master-9 stores last parameters"	'exit program
		Case else				
			MsgBox "Wrong Value"		'Wrong Value
	end select
wend






